local_accounts
=========

An Ansible Role to create local user accounts.

Requirements
------------

- Ansible 2.12.0 or later
- This role requires elevated privileges. Make sure to set `become: true` when using this role.
- `community.crypto` collection

Role Variables
--------------

```yaml
local_accounts_list:
  - name:                  # Username for the local user (required)
    shell:                 # Shell for the local user (required)
    userid:                # User ID for the local user (required)
    expiry_date:           # Expiry date for the local user in the format 'YYYY-MM-DD' (optional, default: never)
    home:                  # Home directory path for the local user (optional, default: "/home/{{ name }}")
    groups:                # List of groups the local user belongs to (optional, default: its own group)
    passwordless:          # Boolean value indicating whether SSH key pairs should be generated for passwordless authentication (optional, default: false)
    
local_accounts_pk_path:    # Path to the private key on the Ansible control node (optional, default: "/tmp")
```

Example Playbook
----------------

```yaml
    - hosts: servers
      vars:
        local_accounts_list:
          - name: test_user1
            shell: /bin/bash
            userid: 1001

      roles:
         - { role: slococo.playground.local_accounts, become: true }
```

License
-------

MIT
