ssh_config
=========

An Ansible Role to manage SSH configuration on Linux systems.

## Requirements

- Ansible 2.12.0 or later
- This role requires elevated privileges. Make sure to set `become: true` when using this role.

## Role Variables

```yaml
ssh_config_options:
  PasswordAuthentication: 'yes'       # Allow password authentication (default: yes)
  PermitEmptyPasswords: 'no'          # Permit users to have empty passwords (default: no)
  PermitRootLogin: 'no'               # Permit root login (default: no)
  # Add more SSH options as needed
```

Example Playbook
----------------

```yaml
    - hosts: servers
      vars:
        sshd_options:
          PasswordAuthentication: 'no'

      roles:
         - { role: slococo.playground.ssh_config, become: true }
```

License
-------

MIT
